summaryrefslogtreecommitdiffstats
path: root/btc/mining/bin/ensure-wlan0
diff options
context:
space:
mode:
authorroot <root@chinaman.(none)>2011-07-08 17:24:48 +0200
committerroot <root@chinaman.(none)>2011-07-08 17:24:48 +0200
commit2f791c20ae45e7030c1b27d65f69186309a8ef8c (patch)
tree51a75164913e4d2caa424a5c7f118e12e31b1c45 /btc/mining/bin/ensure-wlan0
parentefc72df0e8a8115741e60bffed6e5854a43b5b38 (diff)
mining: added archlinux cruise control
mining/Makefile: added archlinux cruise control (auto installer) which always does the right thing. loosely after http://rubyists.github.com/2011/06/08/how-to-build-a-namecoin-or-bitcoin-miner-in98-easy-steps.html mining/{user/,}/bin:renamed mining/bin/newkey.sh: add policy Xorg keygen
Diffstat (limited to 'btc/mining/bin/ensure-wlan0')
-rwxr-xr-xbtc/mining/bin/ensure-wlan032
1 files changed, 32 insertions, 0 deletions
diff --git a/btc/mining/bin/ensure-wlan0 b/btc/mining/bin/ensure-wlan0
new file mode 100755
index 00000000..92839a13
--- /dev/null
+++ b/btc/mining/bin/ensure-wlan0
@@ -0,0 +1,32 @@
+#! /bin/sh
+
+if test "${nosudo-false}" != true -a `id -u` != 0; then
+ echo "we're going sudo..." >&2
+ exec sudo "$0" "$@"
+ exit 23 # go to hell
+fi
+
+if ! ifconfig wlan0 | grep -q 'inet addr'; then
+ if ! grep -q wlan0 /etc/network/interfaces; then
+ cat >> /etc/network/interfaces <<EOF
+# generated by rc.local
+auto wlan0
+iface wlan0 inet dhcp
+wpa_conf /etc/wpa_supplicant/wpa_supplicant.conf
+EOF
+ fi
+
+ beep -l 50 -f 2000; /etc/init.d/network-manager restart
+ beep -l 50 -f 2000; ifdown wlan0
+ beep -l 50 -f 2000; ifup wlan0
+ if ifconfig wlan0 | grep -q 'inet addr'; then
+ beep -l 50 -f 2000 -n -l 100 -f 3000
+ else
+ beep -l 50 -f 2000 -n -l 100 -f 1000
+ fi
+else
+ case "${1-}" in
+ (--quiet) : ;;
+ (*) beep -l 50 -f 2000 -n -l 100 -f 2000 ;;
+ esac
+fi